#!/bin/sh
# This script removes some stuff in `www/node_modules` that the app doesn't need to run.
# It removes about 6MB from the build size.

echo "Removing bloat in node_modules..."

cd www/node_modules
rm -rf dom7
rm -rf path-to-regexp
rm -rf ssr-window
rm -rf template7

cd @fortawesome/fontawesome-free
rm -rf js
rm -rf less
rm -rf scss
rm -rf sprites
rm -rf svgs
cd ../..

cd jquery
rm -rf src
rm -rf external
cd ..

cd framework7
rm -rf components
rm -rf lazy-components
rm -rf less
rm -rf modules
rm -rf utils

cd ..
cd material-design-icons
rm -rf {action,alert,av,bower.json,communication,content,device,editor,file,gulpfile.babel.js,hardware,image,index.js,maps,navigation,notification,package.json,places,README.md,social,sprites,toggle}

echo "Cleanup finished"